<p-toast key="tst" [baseZIndex]="99999"></p-toast>
<div class="grid">
  <div class="col-12 md:col-6">
    <div class="card">
      <h4>APIS TRACK TV</h4>
        <p-accordion>
          <p-accordionTab header="TRENDING" [selected]="true" class="line-height-3 m-0">                                 
            <p>Press the button to get trending movies from the Trakt.tv API.</p>
            <button pButton pRipple label="GET TRENDING MOVIES" class="mr-2 mb-2" (click)="getTrendingMovies()"></button>
            <p>There are {{trendingItemCount}} records of trending movies.</p>
            <div class="row">
              <div class="card">
                <!-- <h5>Lista de películas en tendencia</h5> -->
                <h5>Trending Movies List</h5>
                <p-table [value]="tbtrending" scrollDirection="both" [scrollable]="true" scrollHeight="400px" styleClass="mt-3" responsiveLayout="scroll" [paginator]="true" [rows]="10">
                  <ng-template pTemplate="header">
                    <tr>
                      <th pFrozenColumn style="width:150px">Watchers</th>
                      <th pFrozenColumn style="width:150px">Title</th>
                      <th pFrozenColumn style="width:150px">Year</th>
                      <th style="width:150px">ids_trakt</th>
                      <th style="width:150px">ids_slug</th>
                      <th style="width:150px">ids_imdb</th>
                      <th style="width:150px">ids_tmdb</th>
                    </tr>
                  </ng-template>
                  <ng-template pTemplate="body" let-trend>
                    <tr>
                      <td pFrozenColumn style="width:150px">{{trend.watchers}}</td>
                      <td pFrozenColumn style="width:150px">{{trend.movie.title}}</td>                           
                      <td pFrozenColumn style="width:150px">{{trend.movie.year}}</td>
                      <td style="width:150px">{{trend.movie.ids.trakt}}</td>                                                                                           
                      <td style="width:150px">{{trend.movie.ids.slug}}</td>                                                                                           
                      <td style="width:150px">{{trend.movie.ids.imdb}}</td>                                                                                           
                      <td style="width:150px">{{trend.movie.ids.tmdb}}</td>                                                                                           
                    </tr>
                  </ng-template>
                </p-table>
              </div>
            </div>
          </p-accordionTab>

          <p-accordionTab header="POPULAR" class="line-height-3 m-0">            
            <p>Press the button to get popular movies from the Trakt.tv API.</p>
            <button pButton pRipple label="GET POPULAR MOVIES" class="mr-2 mb-2" (click)="getPopularMovies()"></button>
            <p>There are {{popularItemCount}} records of popular movies.</p>
            <div class="row">
              <div class="card">                
                <h5>Popular Movies List</h5>
                <p-table [value]="tbpopular" scrollDirection="both" [scrollable]="true" scrollHeight="400px" styleClass="mt-3" responsiveLayout="scroll" [paginator]="true" [rows]="10">
                  <ng-template pTemplate="header">
                    <tr>                              
                      <th pFrozenColumn style="width:150px">Title</th>
                      <th pFrozenColumn style="width:150px">Year</th>
                      <th style="width:150px">ids_trakt</th>
                      <th style="width:150px">ids_slug</th>
                      <th style="width:150px">ids_imdb</th>
                      <th style="width:150px">ids_tmdb</th>
                    </tr>
                  </ng-template>
                  <ng-template pTemplate="body" let-popular>
                    <tr>                              
                      <td pFrozenColumn style="width:150px">{{popular.title}}</td>                           
                      <td pFrozenColumn style="width:150px">{{popular.year}}</td>
                      <td style="width:150px">{{popular.ids.trakt}}</td>                                                                                           
                      <td style="width:150px">{{popular.ids.slug}}</td>                                                                                           
                      <td style="width:150px">{{popular.ids.imdb}}</td>                                                                                           
                      <td style="width:150px">{{popular.ids.tmdb}}</td>                                                                                           
                    </tr>
                  </ng-template>
                </p-table>
              </div>
            </div>
          </p-accordionTab>
        </p-accordion>
    </div>
  </div>
  
  <div class="col-12 md:col-6">
    <div class="card">
        <h4>APIS CINE TRACK</h4>
        <p-accordion>
            <p-accordionTab header="TrendingMoviesService" [selected]="false" class="line-height-3 m-0">                                                        
              <p-fieldset legend="SaveTrendingMovies" class="line-height-3 m-0">                                    
                  <h3>Button Functionality</h3>
                  <ul>
                    <li>Get trending movies from the Trakt.tv API.</li>
                    <li>Save the obtained information to the database.</li>
                    <li>Display the total number of records inserted into the database.</li>
                  </ul>
                  <button pButton pRipple label="SAVE TRENDING MOVIES" class="mr-2 mb-2" (click)="saveTrendingMovies_CineTrack()" ></button>
                  <p >{{cinetrendingItemCount}} trending movies have been successfully registered.</p>
                  <p>{{messageSaveTrending}}</p>
              </p-fieldset>
              <br>            
              <p-fieldset legend="GetTrendingMovies" class="line-height-3 m-0">                
                <h3>Button Functionality</h3>
                <ul>
                  <li>Get trending movies from the database SQL Server.</li>
                </ul>
                <button pButton pRipple label="GET TRENDING MOVIES" class="mr-2 mb-2" (click)="getTrendingMovies_CineTrack()" ></button>
                <p>{{messageGetTrending}}</p>
                <div class="row">
                  <div class="card">
                    <!-- <h5>Lista de películas en tendencia</h5> -->
                    <h5>Trending Movies List</h5>
                    <p-table [value]="tbtTrending" scrollDirection="both" [scrollable]="true" scrollHeight="400px" styleClass="mt-3" responsiveLayout="scroll" [paginator]="true" [rows]="10">
                      <ng-template pTemplate="header">
                        <tr>
                          <th pFrozenColumn style="width:150px">Watchers</th>
                          <th pFrozenColumn style="width:150px">Title</th>
                          <th pFrozenColumn style="width:150px">Year</th>
                          <th style="width:150px">ids_trakt</th>
                          <th style="width:150px">ids_slug</th>
                          <th style="width:150px">ids_imdb</th>
                          <th style="width:150px">ids_tmdb</th>
                        </tr>
                      </ng-template>
                      <ng-template pTemplate="body" let-trend>
                        <tr>
                          <td pFrozenColumn style="width:150px">{{trend.watchers}}</td>
                          <td pFrozenColumn style="width:150px">{{trend.title}}</td>                           
                          <td pFrozenColumn style="width:150px">{{trend.year}}</td>
                          <td style="width:150px">{{trend.ids_Trakt}}</td>                                                                                           
                          <td style="width:150px">{{trend.ids_Slug}}</td>                                                                                           
                          <td style="width:150px">{{trend.ids_Imdb}}</td>                                                                                           
                          <td style="width:150px">{{trend.ids_Tmdb}}</td>                                                                                           
                        </tr>
                      </ng-template>
                    </p-table>
                  </div>
                </div>
              </p-fieldset>  
            </p-accordionTab>

            <p-accordionTab header="PopularMoviesService" class="line-height-3 m-0">
                
              <p-tabView orientation="left">
                <p-tabPanel header="SavePopularMovies" class="line-height-3 m-0">
                  <h3>Button Functionality</h3>
                  <ul>
                    <li>Get popular movies from the Trakt.tv API.</li>
                    <li>Save the obtained information to the database.</li>
                    <li>Display the total number of records inserted into the database.</li>
                  </ul>
                  <button pButton pRipple label="SAVE POPULAR MOVIES" class="mr-2 mb-2" (click)="savePopularMovies_CineTrack()" ></button>
                                      
                    <div *ngIf="isLoading" class="progress-bar-container">
                      <p-progressBar [value]="progressValue"></p-progressBar>
                    </div>
                  
                  <p >{{cinepopularItemCount}} popular movies have been successfully registered.</p>
                </p-tabPanel>
                <p-tabPanel header="GetPopularMovies" class="line-height-3 m-0">
                  <h3>Button Functionality</h3>
                  <ul>
                    <li>Get popular movies from the database SQL Server.</li>
                  </ul>
                  <button pButton pRipple label="GET POPULAR MOVIES" class="mr-2 mb-2" (click)="getPopularMovies_CineTrack()" ></button>
                  <p>{{messageGetPopular}}</p>
                  <div class="row">
                    <div class="card">
                      <p-table [value]="tbtPopular" scrollDirection="both" [scrollable]="true" scrollHeight="400px" styleClass="mt-3" responsiveLayout="scroll" [paginator]="true" [rows]="10">
                        <ng-template pTemplate="header">
                          <tr>                            
                            <th pFrozenColumn style="width:150px">Title</th>
                            <th pFrozenColumn style="width:150px">Year</th>
                            <th style="width:150px">ids_trakt</th>
                            <th style="width:150px">ids_slug</th>
                            <th style="width:150px">ids_imdb</th>
                            <th style="width:150px">ids_tmdb</th>
                          </tr>
                        </ng-template>
                        <ng-template pTemplate="body" let-trend>
                          <tr>                            
                            <td pFrozenColumn style="width:150px">{{trend.title}}</td>                           
                            <td pFrozenColumn style="width:150px">{{trend.year}}</td>
                            <td style="width:150px">{{trend.ids_Trakt}}</td>                                                                                           
                            <td style="width:150px">{{trend.ids_Slug}}</td>                                                                                           
                            <td style="width:150px">{{trend.ids_Imdb}}</td>                                                                                           
                            <td style="width:150px">{{trend.ids_Tmdb}}</td>                                                                                           
                          </tr>
                        </ng-template>
                      </p-table>
                    </div>
                  </div>
                </p-tabPanel>
              </p-tabView>

            </p-accordionTab>

            <p-accordionTab header="SearchMoviesService" class="line-height-3 m-0">
              <h3>Button Functionality</h3>
              <ul>
                <li>Search for movies in the SQL Server database using the entered title.</li>
                <li>Indicate if they are popular or trending movies.</li>
              </ul>

              <div class="grid formgrid">
                <div class="col-12 mb-2 lg:col-3 lg:mb-0">
                  <span class="p-input-icon-right">
                    <input type="text" pInputText placeholder="Enter movie title" [(ngModel)]="movieTitle" />
                    <i class="pi pi-search"></i>
                  </span>
                </div>
                <div class="col-12 mb-2 lg:col-4 lg:mb-0">
                  <button pButton pRipple label="SEARCH MOVIES" class="mr-2 mb-2" (click)="searchTrendingAndPopularMovies(movieTitle)"></button>
                </div>
              </div>
                               

              <p-table [value]="tbtSearch" scrollDirection="both" [scrollable]="true" scrollHeight="400px" styleClass="mt-3" responsiveLayout="scroll" [paginator]="true" [rows]="10">
                <ng-template pTemplate="header">
                  <tr>                    
                    <th pFrozenColumn style="width:150px">Title</th>
                    <th pFrozenColumn style="width:150px">Year</th>
                    <th style="width:150px">ids_trakt</th>
                    <th style="width:150px">ids_slug</th>
                    <th style="width:150px">ids_imdb</th>
                    <th style="width:150px">ids_tmdb</th>
                    <th style="width:150px">Classification</th>
                    <th pFrozenColumn style="width:150px">Watchers</th>
                  </tr>
                </ng-template>
                <ng-template pTemplate="body" let-trend>
                  <tr>                    
                    <td pFrozenColumn style="width:150px">{{trend.title}}</td>                           
                    <td pFrozenColumn style="width:150px">{{trend.year}}</td>
                    <td style="width:150px">{{trend.trakt}}</td>                                                                                           
                    <td style="width:150px">{{trend.slug}}</td>                                                                                           
                    <td style="width:150px">{{trend.imdb}}</td>                                                                                           
                    <td style="width:150px">{{trend.tmdb}}</td>
                    <td style="width:150px">{{trend.classification}}</td>
                    <td style="width:150px">{{trend.watchers}}</td>
                  </tr>
                </ng-template>
              </p-table>

            </p-accordionTab>

            <p-accordionTab header="HomeMoviesService" class="line-height-3 m-0">
              <h3>Button Functionality</h3>
              <ul>
                <li>Gets 10 random movies from the SQL Server database.</li>
                <li>Indicate if they are popular or trending movies.</li>
              </ul>

              <button pButton pRipple label="SEARCH MOVIES" class="mr-2 mb-2" (click)="getRandomMovies()" ></button>

              <p-table [value]="tbtRandom" scrollDirection="both" [scrollable]="true" scrollHeight="400px" styleClass="mt-3" responsiveLayout="scroll" [paginator]="true" [rows]="10">
                <ng-template pTemplate="header">
                  <tr>                    
                    <th pFrozenColumn style="width:150px">Title</th>
                    <th pFrozenColumn style="width:150px">Year</th>
                    <th style="width:150px">ids_trakt</th>
                    <th style="width:150px">ids_slug</th>
                    <th style="width:150px">ids_imdb</th>
                    <th style="width:150px">ids_tmdb</th>
                    <th style="width:150px">Classification</th>
                    <th pFrozenColumn style="width:150px">Watchers</th>
                  </tr>
                </ng-template>
                <ng-template pTemplate="body" let-trend>
                  <tr>                    
                    <td pFrozenColumn style="width:150px">{{trend.title}}</td>                           
                    <td pFrozenColumn style="width:150px">{{trend.year}}</td>
                    <td style="width:150px">{{trend.trakt}}</td>                                                                                           
                    <td style="width:150px">{{trend.slug}}</td>                                                                                           
                    <td style="width:150px">{{trend.imdb}}</td>                                                                                           
                    <td style="width:150px">{{trend.tmdb}}</td>
                    <td style="width:150px">{{trend.classification}}</td>
                    <td style="width:150px">{{trend.watchers}}</td>
                  </tr>
                </ng-template>
              </p-table>
            </p-accordionTab>
        </p-accordion>
    </div>
  
  </div>
</div>
